【Flutter】パッケージのアップグレード|特定のパッケージのみ最新バージョンにするには?

今回はpab.devで導入したパッケージを最新バージョンにアップグレードするコマンドを紹介します。

特定のパッケージのみアップグレードする方法も紹介していきます。

\ 世界最大級のオンライン学習サービス /

目次

全パッケージをアップグレード

flutter pub upgrade

pubspec.yamlに導入してある全てのパッケージをアップグレードできます。

特定のパッケージのみをアップグレード

flutter pub upgrade パッケージ名

pubspec.yamlに導入してある特定のパッケージのみをアップグレードするには、先ほどのコマンドに「パッケージ名」を追加します。

「flutter pub upgrade」だけで問題ないか?

基本的にflutter pub upgradeでパッケージをアップグレードすれば問題ないです。

最新バージョンにすることで不具合が生じる場合は「特定のパッケージのみアップグレード」または「全てアップグレードした後で特定のパッケージをダウングレード」するのが良いでしょう。

特定のパッケージをダウングレード

flutter pub downgrade パッケージ名

特定のパッケージをダウングレードするには上記コマンドを使用します。

一緒に読みたい

  • URLをコピーしました!
目次